#version 120
#ifdef GL_ARB_shading_language_420pack
#extension GL_ARB_shading_language_420pack : require
#endif
#extension GL_EXT_gpu_shader4 : require

varying float dist_ratio;
attribute float radius;
attribute float size;
attribute vec2 pos;
attribute vec2 ctr;

void main()
{
    dist_ratio = 1.0 - (radius / size);
    gl_Position = vec4(((pos + ctr) * 2.0) - vec2(1.0), 1.0, 1.0);
}

